Bug 154217

Summary: New port: ports-mgmt/portsreinstall
Product: Ports & Packages Reporter: Mamoru Sakaue <sakaue.mamoru-cmfho5lt>
Component: Individual Port(s)Assignee: Eitan Adler <eadler>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description Mamoru Sakaue 2011-01-22 10:00:22 UTC
This utility is an alternative to portupgrade(1) and portmaster(8), and designed to be suitable for reinstallation of all packages afrer major version upgrade of the system or very long absence of ports upgrade. Usually, execute with no option nor argument, or with -p or -P if you have installed portupgrade(1). 

WWW: http://www.mwghennndo.com/softwares/portsreinstall/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2011-01-28 05:07:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-03-17 17:08:10 UTC
State Changed
From-To: open->feedback

do we need really this port, i mean portmaster and portupgrade have all 
these futures what u meantion here.
Comment 3 Mamoru Sakaue 2011-03-20 17:21:37 UTC
The current implementations of portupgrade -af and portmaster -afD have some 
problems. For example, portupgrade does not have any interrupt/restart 
mechanism. portmaster does not watch pkgtools.conf nor have any equivalent 
method of configuration.

You may first consider a solution by modifying portmaster to implement 
functionalities equivalent to pkgtools.conf. But, as well as portupgrade, 
there is a fundamental problem arising from a fact that portmaster -afD is 
just an extention of indivisual upgrade, namely, partial reinstallation, and 
is not designed as an ultimate solution for entire reinstallation to resolve 
drastically changed dependencies. Therefore, manpage of portmaster encourages 
users to employ the alternative method by deleting the all packages once 
instead of portmaster -afD.

The concepts of the partial and entire reinstallations are different, for 
example, in the policy whether the currently installed packages and their 
relations are respected even if they are/become inconsistent. To make a tool 
specialized in the entire reinstallation, the optimal engine and interface 
becomes different from the partial reinstallation. Therefore, I think yet 
another project for an entire reinstallation tool is meaningful.

portsreinstall was developed as a tool for on-the-fly entire reinstalltion so 
as to reconstruct the dependency relations to be consistent as automatically 
as possible. Additionally, functionalities equivalent to pkgtools.conf and 
optional support of pkgtools.conf itself are implemented.
Comment 4 Martin Wilke freebsd_committer 2011-04-12 05:02:48 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 5 Tilman Keskinoz freebsd_committer 2011-08-01 20:32:31 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2011-10-20 04:38:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2011-11-02 22:01:32 UTC
Responsible Changed
From-To: eadler->freebsd-ports-bugs

ENOTIME
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 18:28:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 9 dfilter service freebsd_committer 2011-12-25 20:16:23 UTC
eadler      2011-12-25 20:16:14 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt           Makefile 
  Added files:
    ports-mgmt/portsreinstall Makefile distinfo pkg-descr 
                              pkg-plist 
  Log:
  This is a ports upgrading utility for massive forced reinstalltion,
  and for those who are pursuing the perfect packages environment.
  
  WWW: http://www.mwghennndo.com/softwares/portsreinstall/
  
  PR:             ports/154217
  Submitted by:   Mamoru Sakaue <sakaue.mamoru-cmfho5lt@samurai.mwghennn.net>
  
  Revision  Changes    Path
  1.48      +1 -0      ports/ports-mgmt/Makefile
  1.1       +24 -0     ports/ports-mgmt/portsreinstall/Makefile (new)
  1.1       +2 -0      ports/ports-mgmt/portsreinstall/distinfo (new)
  1.1       +4 -0      ports/ports-mgmt/portsreinstall/pkg-descr (new)
  1.1       +4 -0      ports/ports-mgmt/portsreinstall/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 20:28:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!